# redivis.current\_notebook

### **redivis.**<mark style="color:purple;">**current\_notebook**</mark>**()** → [Notebook](/api/client-libraries/redivis-python/reference/notebook.md)

Returns a reference to the current notebook. Can only be called from within a running Redivis notebook. The current use case for this method is to generate an output table from the notebook (see example).

### **Returns:**

[**Notebook**](/api/client-libraries/redivis-python/reference/notebook.md)

{% hint style="success" %}
**See also**

* [Notebook.create\_output\_table()](/api/client-libraries/redivis-python/reference/notebook/notebook.create_output_table.md)
  {% endhint %}

### Examples

```python
df = get_dataframe_somehow()

notebook = redivis.current_notebook()

# Create an output table on the current notebook
# Optional parameter, append (default False), determines whether the output appends to
#  or replaces the output table.
notebook.create_output_table(df, append=False) 
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.redivis.com/api/client-libraries/redivis-python/reference/redivis/redivis.current_notebook.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
